# Billy-Montigny

Thème Wordpress pour le site de la ville de Billy-Montigny.

## Mise en route

Assurez-vous d'avoir ces dépendances d'installées :

* [Node.js](https://nodejs.org/)
* [Grunt](http://gruntjs.com/)

Dans le répertoire racine du dépôt, lancez ensuite les commandes suivantes :


```bash
# installe les dépendances avec npm
npm install

# construis le thème
grunt
```

## Développement

Placez ce répertoire dans le dossier `wp-content/themes` de votre installation Wordpress, afin de rendre disponible ce thème. Depuis ce répertoire, vous pouvez ensuite utiliser les tâches Grunt suivantes :

```bash
# lance la tâche par défaut qui construit le projet
grunt

# initie Browsersync et écoute les changements sur les fichiers
grunt server
```

Les feuilles de style (CSS) sont générées à partir du code [SCSS](http://sass-lang.com/) qui se trouve dans `src/sass`. La tâche Grunt se chargera de générer un fichier CSS dans le dossier `assets/css`. De même, le code JavaScript se trouve dans le dossier `src/js`, et sera construit par la tâche Grunt dans `assets/js`.

Lorsque le thème est prêt pour être utilisé en production, vous pourrez alors lancer les tâches suivantes :

```bash
# constuis le thème dans `dist/` avec compression des fichiers (CSS, JS...)
grunt build

# construis une archive du thème dans `dist/`
grunt compress
```

## Licence

Ce thème est développé par Cliss XXI et fournit sous licence [GPLv2](LICENSE).
