<?php
/**
 * The template for displaying lists of events
 *
 * @link https://github.com/stephenharris/Event-Organiser/blob/develop/templates/archive-event.php
 *
 * @package Billy-Montigny
 */

get_header(); ?>

	<main id="main" class="site-main" role="main">

		<header class="page-header">
			<h1 class="page-title">
				Événements<?php
				$archive_date = '';

				if ( eo_is_event_archive( 'day' ) ) {
					// Viewing date archive
					$archive_date = eo_get_event_archive_date( 'j F Y' );
				} elseif ( eo_is_event_archive( 'month' ) ) {
					// Viewing month archive
					$archive_date = eo_get_event_archive_date( 'F Y' );
				} elseif ( eo_is_event_archive( 'year' ) ) {
					// Viewing year archive
					$archive_date = eo_get_event_archive_date( 'Y' );
				}

				if ( $archive_date ) {
					echo ' de : <span>' . $archive_date . '</span>';
				} ?>
		</header>

		<?php eo_get_template_part( 'eo-loop-events' ); // Lists the events ?>

	</main>

<?php
get_sidebar();
get_footer();
