<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Billy-Montigny
 */

?>

	</div>

	<footer id="colophon" class="site-footer" role="contentinfo">
		<?php
		if ( is_active_sidebar( 'sidebar-2' ) ) :
		?>

		<aside class="widget-area footer-widgets" role="complementary">
			<?php dynamic_sidebar( 'sidebar-2' ); ?>
		</aside>

		<?php endif; ?>

		<div class="footer-area grid-x">
			<?php
			if ( has_nav_menu( 'footer' ) ) :
				wp_nav_menu(
					array(
						'container_class' => 'cell medium-order-2 medium-shrink',
						'theme_location'  => 'footer',
						'menu_id'         => 'footer-menu',
						'menu_class'      => 'menu simple',
						'depth'           => 1
					)
				);
			endif;
			?>

			<p class="footer-site-info cell medium-auto">
				<?php echo sprintf( __( '&copy; %s', 'billy-montigny' ), date( 'Y' ) . ' ' . esc_html( get_bloginfo( 'name' ) ) ); ?>
			</p>
		</div>
	</footer>

</div>

<?php wp_footer(); ?>

</body>
</html>
