module.exports = {
	/**
	 * grunt-postcss
	 *
	 * Apply several post-processors to your CSS using PostCSS
	 *
	 * @link https://www.npmjs.com/package/grunt-postcss
	 */
	dev: {
		options: {
			map: true,
			processors: [
				require( 'pixrem' )(),
				require( 'autoprefixer' )( {
					browsers: ['last 2 versions']
				} )
			]
		},
		src: 'assets/css/*.css'
	},
	build: {
		options: {
			map: false,
			processors: [
				require( 'cssnano' )()
			]
		},
		files: [{
			expand: true,
			src: ['*.css', '!*.min.css'],
			dest: 'assets/css',
			cwd: './assets/css',
			rename: function (dst, src) {
				return dst + '/' + src.replace('.css', '.min.css');
			}
		}]
	}
};
