<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Billy-Montigny
 */

?><!doctype html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'billy-montigny' ); ?></a>

	<header id="masthead" class="site-header" role="banner">

		<div class="title-bar" data-responsive-toggle="site-navigation" data-hide-for="medium">
			<button class="menu-icon" type="button" data-toggle></button>
			<a class="title-bar-title" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" title="Aller à l'accueil">
				<?php bloginfo( 'name' ); ?>
			</a>
		</div>

		<div class="site-banner">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" title="Aller à l'accueil" class="site-banner-logo show-for-medium">
				<?php bm_the_custom_logo(); ?>
			</a>

			<nav id="site-navigation" class="main-navigation fast" role="navigation" data-animate="slide-in-down slide-out-up">
				<?php
				if ( has_nav_menu( 'primary' ) ) :
					$menu_data = 'data-responsive-menu="drilldown medium-dropdown" ' .
					'data-back-button="<li class=\'js-drilldown-back\'><a tabindex=\'0\'>' .
					'Retour</a></li>" data-auto-height="true"';

					wp_nav_menu(
						array(
							'container'       => false,
							'theme_location'  => 'primary',
							'menu_id'         => 'primary-menu',
							'menu_class'      => 'vertical medium-horizontal menu',
							'items_wrap'      => '<ul id="%1$s" class="%2$s" ' . $menu_data . '>%3$s</ul>',
						)
					);
				endif; ?>
			</nav>
		</div>

	</header>

	<div id="content" class="site-content">
