<?php
/**
 * Implements the Custom Header feature to style the header image.
 *
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package Billy-Montigny
 */

/**
 * Set up the WordPress core custom header feature.
 *
 * @uses bm_header_style()
 */
function bm_custom_header_setup() {
	add_theme_support('custom-header', array(
		'default-image'    => get_template_directory_uri() . '/assets/img/header-banner.jpg',
		'width'            => 2400,
		'height'           => 620,
		'header-text'      => false,
		'wp-head-callback' => 'bm_header_style',
	) );
}
add_action( 'after_setup_theme', 'bm_custom_header_setup' );

if ( ! function_exists( 'bm_header_style' ) ) :
	/**
	 * Styles the header image on the site.
	 *
	 * @see bm_custom_header_setup().
	 */
	function bm_header_style() {
		if ( ! get_header_image() ) {
			return;
		}

		?>
		<style type="text/css">
			.site-banner {
				background-image: url('<?php header_image(); ?>');
			}
		</style>
		<?php
	}
endif;
