<?php
/**
 * Billy-Montigny Theme Customizer.
 *
 * @package Billy-Montigny
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function bm_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
}

add_action( 'customize_register', 'bm_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function bm_customize_preview_js() {
	wp_enqueue_script( 'bm_customizer',
		get_template_directory_uri() . '/assets/js/customizer.js',
		array( 'customize-preview' ), null, true
	);
}

add_action( 'customize_preview_init', 'bm_customize_preview_js' );
