<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Billy-Montigny
 */

get_header(); ?>

	<main id="main" class="site-main" role="main">

		<?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
			?>
				<header>
					<h1 class="page-title screen-reader-text">
						<?php single_post_title(); ?>
					</h1>
				</header>
			<?php
			endif;
			?>

			<div class="grid-x grid-margin-x medium-up-2 large-up-3 align-stretch">

				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();
					?>

					<div class="cell card-container">
						<?php
						get_template_part( 'template-parts/content', 'card' );
						?>
					</div>

				<?php
				endwhile;
				?>

			</div>

			<?php
			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

	</main>

<?php
get_sidebar();
get_footer();
