<?php
/**
 * The template for displaying search form.
 *
 * @link https://developer.wordpress.org/reference/functions/get_search_form/
 *
 * @package Billy-Montigny
 */

?>

<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<div class="input-group">
		<span class="screen-reader-text"><?php _ex( 'Search for:', 'label' ); ?></span>
		<input type="search" class="search-field input-group-field"
			placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder' ); ?>"
			value="<?php echo get_search_query(); ?>" name="s" />
		<div class="input-group-button">
			<button class="search-submit button" type="submit">
				<span class="screen-reader-text">
					<?php _ex( 'Search', 'submit button' ); ?>
				</span>
				<span aria-hidden="true"><i class="icon-search"></i></span>
			</button>
		</div>
	</div>
</form>
