<?php
/**
 * The template for displaying the venue page.
 *
 * @link https://github.com/stephenharris/Event-Organiser/blob/develop/templates/taxonomy-event-venue.php
 *
 * @package Billy-Montigny
 */

get_header();

$venue_id = get_queried_object_id(); ?>

	<main id="main" class="site-main" role="main">

		<header class="page-header">
			<h1 class="page-title">
				<?php printf( __( 'Events at: %s', 'eventorganiser' ), '<span>' . eo_get_venue_name( $venue_id ) . '</span>' );?>
			</h1>
		</header>

		<?php
		// Display the venue description.
		if ( $venue_description = eo_get_venue_description( $venue_id ) ) {
			echo '<div class="venue-archive-meta">' . $venue_description . '</div>';
		}

		// Display the venue map.
		if ( eo_venue_has_latlng( $venue_id ) ) {
			echo eo_get_venue_map( $venue_id, array( 'width' => '100%' ) );
		}

		// Lists the events
		eo_get_template_part( 'eo-loop-events' );
		?>

	</main>

<?php
get_sidebar();
get_footer();
