<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Billy-Montigny
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		if ( is_single() ) {
			the_title( '<h2 class="entry-title">', '</h2>' );
		} else {
			the_title( '<h4 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' );
		} ?>
	</header>

	<?php if ( '' != get_the_post_thumbnail_url() ) : ?>
		<div class="post-thumbnail" style="background-image: url(<?php the_post_thumbnail_url( 'bm-featured-image' ); ?>)"></div>
	<?php endif; ?>

	<div class="entry-content">
		<?php
		bm_the_content();

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'billy-montigny' ),
			'after'  => '</div>',
		) );

		bm_posted_on();
		?>
	</div>
</article>
